Bug 1817595 - CI failure [sig-builds][Feature:Builds][Slow] Capabilities should be dropped for s2i builders s2i build with a rootable builder should not be able to switch to root with an assemble script [Suite:openshift]
Summary: CI failure [sig-builds][Feature:Builds][Slow] Capabilities should be dropped ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.5.0
Assignee: Gabe Montero
QA Contact: wewang
URL:
Whiteboard:
Depends On:
Blocks: 1817616
TreeView+ depends on / blocked
 
Reported: 2020-03-26 15:59 UTC by Dan Williams
Modified: 2020-07-13 17:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1817616 1817618 1817619 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:23:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 24775 0 None closed Bug 1817595: make s2i-dropcaps more reliable by not depending on a yum install to … 2020-06-23 09:37:54 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:24:15 UTC

Description Dan Williams 2020-03-26 15:59:41 UTC
failure: repodata/repomd.xml from cbs.centos.org_repos_sclo7-rh-ruby25-rh-candidate_x86_64_os_: [Errno 256] No more mirrors to try.
https://cbs.centos.org/repos/sclo7-rh-ruby25-rh-candidate/x86_64/os/repodata/repomd.xml: [Errno 14] HTTPS Error 404 - Not Found
subprocess exited with status 1
subprocess exited with status 1
error: build error: error building at STEP "RUN yum -y install expect": exit status 1

Comment 1 W. Trevor King 2020-03-26 16:20:18 UTC
From [1]:

> So all https://cbs.centos.org/repos/* will disappear next wednesday (FWIW)

Does anyone know where the cbs.centos.org dep is configured?  Sounds like that was a bad choice and should be updated.


[1]: https://lists.centos.org/pipermail/centos-devel/2020-March/036679.html

Comment 2 Gabe Montero 2020-03-26 17:09:44 UTC
To place some findings noted in slack channels here, it looks like the SCL s2i builder images are using that mirror:

https://github.com/sclorg/s2i-ruby-container/blob/master/2.5/Dockerfile#L36-L38
https://github.com/sclorg/s2i-nodejs-container/blob/master/12/Dockerfile#L51-L59

I will initiate an email with the SCL folks

Comment 3 Gabe Montero 2020-03-26 18:54:19 UTC
Also opened https://projects.engineering.redhat.com/browse/RHELPLAN-39954 for SCL team

Comment 6 Gabe Montero 2020-03-27 14:03:24 UTC
e2e test only change verified in master PR runs ... marking verified to facilitate cherrypicking

Comment 7 Gabe Montero 2020-04-17 16:11:47 UTC
test case only change ... no bz doc update needed

Comment 9 errata-xmlrpc 2020-07-13 17:23:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.